<?php

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

/**
 * Get post categories array
 *
 * @return array
 */
function ppo_sc_get_categories() {
    $args = array(
        'orderby' => 'id',
        'parent' => 0
    );
    $items = array();
    $items[esc_html__('All', 'eduma')] = 'all';
    $categories = get_categories($args);
    if (isset($categories)) {
        foreach ($categories as $key => $cat) {
            $items[$cat->cat_name] = $cat->cat_ID;
            $childrens = get_term_children($cat->term_id, $cat->taxonomy);
            if ($childrens) {
                foreach ($childrens as $key => $children) {
                    $child = get_term_by('id', $children, $cat->taxonomy);
                    $items['--' . $child->name] = $child->term_id;
                }
            }
        }
    }

    return $items;
}

function ppo_sc_get_list_image_size() {
    global $_wp_additional_image_sizes;

    $sizes = array();
    $get_intermediate_image_sizes = get_intermediate_image_sizes();

    // Create the full array with sizes and crop info
    foreach ($get_intermediate_image_sizes as $_size) {

        if (in_array($_size, array('thumbnail', 'medium', 'large'))) {

            $sizes[$_size]['width'] = get_option($_size . '_size_w');
            $sizes[$_size]['height'] = get_option($_size . '_size_h');
            $sizes[$_size]['crop'] = (bool) get_option($_size . '_crop');
        } elseif (isset($_wp_additional_image_sizes[$_size])) {

            $sizes[$_size] = array(
                'width' => $_wp_additional_image_sizes[$_size]['width'],
                'height' => $_wp_additional_image_sizes[$_size]['height'],
                'crop' => $_wp_additional_image_sizes[$_size]['crop']
            );
        }
    }

    $image_size = array();
    $image_size[esc_html__("No Image", 'eduma')] = 'none';
    $image_size[esc_html__("Custom Image", 'eduma')] = 'custom_image';
    if (!empty($sizes)) {
        foreach ($sizes as $key => $value) {
            if ($value['width'] && $value['height']) {
                $image_size[$value['width'] . 'x' . $value['height']] = $key;
            } else {
                $image_size[$key] = $key;
            }
        }
    }

    return $image_size;
}